import { IProjectBuilder, IProjectBuilderOptions } from '../types';
export interface IceJsCcsProjectBuilderOptions extends IProjectBuilderOptions {
}
export default function createIceJsCcsProjectBuilder(options?: IceJsCcsProjectBuilderOptions): IProjectBuilder;
export declare const plugins: {
    containerClass: import("../types").BuilderComponentPluginFactory<unknown>;
    containerInitState: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerInitState").PluginConfig>;
    containerInjectContext: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerInjectContext").PluginConfig>;
    containerInjectUtils: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerInjectUtils").PluginConfig>;
    containerInjectI18n: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerInjectI18n").PluginConfig>;
    containerInjectDataSourceEngine: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerInjectDataSourceEngine").PluginConfig>;
    containerLifeCycle: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerLifeCycle").PluginConfig>;
    containerMethod: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/containerMethod").PluginConfig>;
    jsx: import("../types").BuilderComponentPluginFactory<import("../plugins/component/reactccs/jsx").PluginConfig>;
    commonDeps: import("../types").BuilderComponentPluginFactory<unknown>;
    /** @deprecated Please use commonDeps */
    reactCommonDeps: import("../types").BuilderComponentPluginFactory<unknown>;
};
